Subject: bug#70647: 30.0.50; When are :core packages released to GNU ELPA?

From: Philip Kaludercic <[email-masked]>
Date: Mon, 29 Apr 2024 17:55:55 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: No Wayman <[email-masked]>
>> Cc: Philip Kaludercic <[email-masked]>
>> Date: Mon, 29 Apr 2024 10:25:50 -0400
>> 
>> Eli Zaretskii <[email-masked]> writes: 
>>  
>> > [Why private email?]
>> 
>> Apologies. Must've fat-fingered my reply key binding. 
>
> Looks like you did it again.  Please use Reply All, to have the bug
> tracker CC'ed.
>
> Resending to the bug tracker.
>
>> >> From: No Wayman <[email-masked]> Date: Mon, 29 
>> >> Apr 2024 09:52:54 -0400  Eli Zaretskii <[email-masked]> writes:  
>> >>   
>> >> > Are there any differences in the code between version 1.17 on 
>> >> > ELPA and the Eglot code as of commit b014bca833a. 
>> >>  I would hope not. Otherwise the version information is 
>> >> incorrect. 
>> > 
>> > Then why is this a problem?  File time stamps are immaterial 
>> > with modern VCSes.
>> 
>> The problem is it's confusing.
>> When is the "release date" of eglot 1.17?
>> The date of the commit which bumped the Version header?
>> The date of some other action which triggered an ELPA build?
>> If file timestamps are indeed immaterial, than it would make the 
>> most sense to stick with the commit date which bumped the Version 
>> header.
>> That does not appear to be the case.
>>   
>> >> > What would you like to be documented? 
>> >>  - What triggers a package build/release on GNU ELPA in all 
>> >> cases  
>> >>   (:core or otherwise)? 
>> > 
>> > Philip will tell, but I'm not surprised, given that this is a 
>> > volunteer project. 

When a commit modifies the Version header in the main file, then the
state of that commit is used to trigger a new release, both for core and
otherwise.

>> >> - What triggers a package build/release on GNU-devel ELPA. 
>> > 
>> > What is "GNU-devel ELPA"?
>> 
>> Forgive me if I misspoke, but: https://elpa.gnu.org/devel/

These are rebuilt on every commit.  The intended audience IMO are
developers here though, so that they can easily preview the state of
packages.

>> > <h1> GNU-devel ELPA Packages </h1>
>> 
>> If that's not what it's called, then the website should be updated 
>> to reflect the preferred name.

The name is fine.  I am just guessing that it is not something that Eli
has to deal with that often.

>> > I don't even understand the problem you see here. 
>> 
>> I've seen other package maintainers confused about what/when a 
>> rebuild is triggered. I have reports on Elpaca's issue tracker 
>> where users are confused by the release dates listed on GNU ELPA's 
>> websites. I myself am not 100% sure I understand all cases that 
>> trigger builds. The issue is I could not find a place where this 
>> is all clearly documented.

There were issues related to some recent changes that re-build the
package tarballs, but the content should have been the same.  But that
was a mistake, and not something that should happen on a regular basis.

-- 
	Philip Kaludercic on peregrine